=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libkf6archive-dev (>= 6.13.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               shared-mime-info (>= 1.8~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.13.0~),
         libkpim6pkpass6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim6pkpass6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.
