## kpkpass 25.08.3+p24.04+vunstable+git20251203.0041

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,22 +3,24 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(KPkPass VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.13.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEInstallDirs)
 include(ECMAddTests)
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMSetupVersion)
+include(ECMQmlModule)
 file(
     GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
     src/*.cpp
@@ -41,7 +43,6 @@
     include(KDEClangFormat)
     kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
-include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(ECMGenerateExportHeader)
 
@@ -74,14 +75,14 @@
     SOVERSION 6
 )
 
-find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
+find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui Qml)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
 if(NOT ANDROID)
     find_package(SharedMimeInfo 1.8 REQUIRED)
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT
