=== debian/changelog ===
kpkpass (25.08.3+p24.04+vunstable+git20251203.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:41:48 +0000

kpkpass (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:21 +1000
