## kpkpass 25.08.3+p24.04+vunstable+git20251208.0219

=== debian/changelog ===
kpkpass (25.08.3+p24.04+vunstable+git20251208.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:19:27 +0000
