=== debian/changelog ===
kpkpass (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build-deps and deps with the info from cmake.
  * Add qml6-module-org-kde-pkpass

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 21:08:26 +0000

kpkpass (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:12 +0000
