=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpkpass
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -12,11 +13,12 @@
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kpkpass
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
 Rules-Requires-Root: no
 
 Package: libkpkpass-dev
@@ -40,3 +42,11 @@
          ${shlibs:Depends},
 Description: library for Apple Wallet Pass reader
  This library provides an API for Apple Wallet Pass reader.
+
+Package: qml6-module-org-kde-pkpass
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: qml module for Apple Wallet Pass reader
+ This library provides an API for Apple Wallet Pass reader.
