## kpkpass 25.12.0+p24.04+vstable+git20251208.1200

=== debian/changelog ===
kpkpass (25.12.0+p24.04+vstable+git20251208.1200-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:00:26 +0000
