## kpkpass 25.12.0+p24.04+vstable+git20251222.0153

=== debian/changelog ===
kpkpass (25.12.0+p24.04+vstable+git20251222.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 01:53:20 +0000
