=== debian/changelog ===
kpkpass (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:28 +0100

kpkpass (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * New binary package qml6-module-org-kde-pkpass.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 09 Jan 2026 22:03:40 +0100

kpkpass (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:01 +0100
