## kpkpass 25.12.1+p24.04+vstable+git20260106.1430

=== debian/changelog ===
kpkpass (25.12.1+p24.04+vstable+git20260106.1430-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:30:38 +0000

kpkpass (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:39 +1000
