## kpkpass 25.12.1+p24.04+vstable+git20260111.0132

=== debian/changelog ===
kpkpass (25.12.1+p24.04+vstable+git20260111.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:32:31 +0000
